Skip to content

Search for available phone numbers to purchase. Requires `countryCode` (e.g. US, CA). Use before ordering a number.

GET
/numbers/available
curl --request GET \
--url 'https://api.pingram.io/numbers/available?countryCode=example' \
--header 'Authorization: Bearer <token>'
countryCode
required
string

ISO 3166-1 alpha-2 country code (e.g., US, CA)

features
string

Comma-separated

areaCode
string

National destination / area code filter

limit
number

Max results (default 10, max 50)

Successful response

Media type application/json
object
numbers
required
Array<object>

One available number returned from search

object
phoneNumber
required

E.164

string
locality
string
administrativeArea
string
phoneNumberType

E.g. local, toll_free

string
features

E.g. sms, voice, mms

Array<string>
monthlyPrice
required

Monthly cost in USD

number
Example generated
{
"numbers": [
{
"phoneNumber": "example",
"locality": "example",
"administrativeArea": "example",
"phoneNumberType": "example",
"features": [
"example"
],
"monthlyPrice": 1
}
]
}

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}